#!/bin/bash

# Place me in a new directory somewhere!
PREFIX=/opt/netsurf/

sudo mkdir -p $PREFIX
sudo chown $USER:$USER $PREFIX

function gitclone() {
    [[ ! -d $2 ]] && git clone $1
}

# # clone all ns libs
for lib in libcss libdom libhubbub libnsbmp libnsfb libnsgif libnsutils libparserutils libsvgtiny libutf8proc libwapcaplet; do 
    gitclone git://git.netsurf-browser.org/${lib}.git ${lib}
done

# # clone toolchains, buildsystem and netsurf.
for repo in toolchains buildsystem netsurf; do
    gitclone git://git.netsurf-browser.org/${repo}.git ${repo}
done

# Set up the buildsystem 
cd buildsystem
git checkout ashmew2/kolibri-cross
make install
cd ..

# Set up the kolibrios compiler toolchain
cd toolchains
git checkout ashmew2/kolibrios
cd kos32-gcc
make install
cd ../..

# Set up all netsurf libs (Order is important for libs)
for lib in libparserutils libwapcaplet libcss libhubbub libdom libnsbmp libnsgif libnsutils libsvgtiny libutf8proc; do
    cd $lib
    HOST=kolibrios make install
    cd ..
done

cd libnsfb
git checkout ashmew2/kolibri
HOST=kolibrios make install
cd ..

# Compile and install Netsurf
cd netsurf
git checkout ashmew2/nskolibrios
make TARGET=kolibrios install
cd ..

